      SUBROUTINE COREXT(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL,
     $  NVARBL, NBUFFR, NSCLFT, KSPTR,  RMISSV, JBUFFR, JSCRTC,
     $  KBASE, KALTN, KOUTM, JFLAG)
C
C    ***  MODIFIED FOR PRIME BY T.C. MYERS, 12/79
C         CDC CODE INACTIVIATED.
C
      DIMENSION JSCRTC(NSCLFT)
      DIMENSION JBUFFR(NBUFFR)
      JFLAG = 0
      KOUTM = 0
      NWORDS = NXCELL * NYCELL
      KBASE = KSPTR
      CALL SCRSET(IPRINT, NSCLFT, NWORDS, KSPTR, RMISSV, JSCRTC, JFLAG)
      IF (JFLAG .LT. 0) GO TO 935
      KALTN = KSPTR
      CALL SCRSET(IPRINT, NSCLFT, NWORDS, KSPTR, RMISSV, JSCRTC, JFLAG)
      IF (JFLAG .LT. 0) GO TO 940
C
C CHECK FOR IN-CORE FIT OF OUTPUT MATRIX
C
      NWORDS = NWORDS * NZCELL * NVARBL
      IF (NWORDS .GT. NSCLFT) GO TO 105
C
C IT WILL FIT -- ALLOCATE SCRATCH
C
      KOUTM = KSPTR
      CALL SCRSET(IPRINT, NSCLFT, NWORDS, KSPTR, RMISSV, JSCRTC, JFLAG)
      IF (JFLAG .LT. 0) GO TO 945
C
C RESET FILE NUMBER TO ZERO AND RETURN TO CALLER
C
      IMATFL = 0
      GO TO 1000
C
C  **************  FOR PRIME, WRITE A MESSAGE AND QUIT ****************
C                  SCRATCH VECTOR MUST BE INCREASED.
C
  105 WRITE(IPRINT,2100) NWORDS, NSCLFT
      JFLAG = -1
      RETURN
C
C *************** INACTIVE CODE BELOW IS FOR CDC **********************
C
C
C IT WILL NOT FIT -- CREATE OUTPUT MATRIX INDEX
C
C 105 KINDX = KSPTR
C     NWORDS = NVARBL * NZCELL + 1
C     CALL SCRSET(IPRINT, NSCLFT, NWORDS, KSPTR, RMISSV, JSCRTC, JFLAG)
C     IF (JFLAG .LT. 0) GO TO 950
C
C CREATE OUTPUT MATRIX STORAGE
C
C     CALL MATSET(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
C    $    NBUFFR, JBUFFR, JSCRTC(KINDX), JFLAG)
C     IF (JFLAG .LT. 0) GO TO 955
C
C FILL THE OUTPUT MATRIX WITH MISSING VALUES
C
C     DO 120 N = 1, NZCELL
C        KZCLL = N
C        DO 110 K = 1, NVARBL
C           KVRBL = K
C           CALL MATPUT(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
C    $          KZCLL, KVRBL, JSCRTC(KBASE), JSCRTC(KOUTM), JFLAG)
C           IF (JFLAG .LT. 0) GO TO 960
C
C END LOOPS AND RETURN TO CALLER
C
C 110    CONTINUE
C 120 CONTINUE
C     GO TO 1000
C
C
C ERROR MESSAGE FOR  ERROR IN SCRSET FOR BASE GRID
C
  935 WRITE (IPRINT, 2935) JFLAG
      JFLAG = -35
      GO TO 1000
C
C ERROR MESSAGE FOR  ERROR IN SCRSET FOR ALTERNATE GRID
C
  940 WRITE (IPRINT, 2940) JFLAG
      JFLAG = -40
      GO TO 1000
C
C ERROR MESSAGE FOR  ERROR IN SCRSET FOR OUTPUT MATRIX
C
  945 WRITE (IPRINT, 2945) JFLAG
      JFLAG = -45
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN SCRSET FOR MATRIX INDEX
C
  950 WRITE (IPRINT, 2950) JFLAG
      JFLAG = -50
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN MATSET
C
  955 WRITE (IPRINT, 2955) JFLAG
      JFLAG = -55
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN OUTPUT
C
  960 WRITE (IPRINT, 2960) JFLAG, KVRBL, KZCLL
      JFLAG = -60
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
 2100 FORMAT (//,28H ****** SYSTEM ERROR ****** ,/,1X,I5,
     $        24H WORDS ARE NEEDED, ONLY ,I5, 10H ARE LEFT.,/,
     $        33H INCREASE SIZE OF SCRATCH VECTOR.)
 2935 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE SCRSET ,
     $        15H FOR BASE GRID , //)
 2940 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE SCRSET ,
     $        20H FOR ALTERNATE GRID , //)
 2945 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE SCRSET ,
     $        19H FOR OUTPUT MATRIX , //)
 2950 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE SCRSET ,
     $        18H FOR OUTPUT INDEX , //)
 2955 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE MATSET , //)
 2960 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO COREXT FROM SUBROUTINE MATPUT , //,
     $        21H FOR VARIABLE NUMBER , I10, 20H AND Z-LEVEL NUMBER ,
     $        I10, //)
      END
