      SUBROUTINE MATGET(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
     $        KZCLL, KVRBL, OUTGRD, OUTMAT, JFLAG)
      DIMENSION OUTGRD(NXCELL, NYCELL)
      DIMENSION OUTMAT(NXCELL, NYCELL, NZCELL)
      JFLAG = 0
C
C   *** CDC CODE INACTIVATED BY T.C. MYERS, 12/79
C
C
C IF THE MATRIX IS NOT IN CORE, LOAD FROM STORAGE AND RETURN
C
      IF (IMATFL .EQ. 0) GO TO 105
C     CALL MATLOD(IPRINT, IMATFL, NXCELL, NYCELL, NZCELL, NVARBL,
C    $    KZCLL, KVRBL, OUTGRD, JFLAG)
C     IF (JFLAG .LT. 0) GO TO 945
C     GO TO 1000
C
C MATRIX IS IN CORE -- SET INDEX AND LOOPS FOR TRANSFER
C
  105 KINDX = (KZCLL - 1) * NVARBL + KVRBL
      DO 120 J = 1, NYCELL
         DO 110 I = 1, NXCELL
C
C TRANSFER VALUE, END LOOPS, AND RETURN
C
            OUTGRD(I, J) = OUTMAT(I, J, KINDX)
  110    CONTINUE
  120 CONTINUE
      GO TO 1000
C
C ERROR MESSAGE FOR ERROR IN MATLOD
C
  945 WRITE (IPRINT, 2945) JFLAG
      JFLAG = -45
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
 2945 FORMAT (26H ****** ERROR TRACE ****** , 12H ERROR FLAG , I10,
     $        43H RETURNED TO MATGET FROM SUBROUTINE MATLOD , //)
      END
