      SUBROUTINE SINVAL (IPRINT, NWORDS, JVALUE, JSTRNG, JFLAG)
C
C NAME -- SINGLE VALUE FILL
C
C DESCRIPTION  -- PLACES A SINGLE VALUE INTO EVERY LOCATION
C         OF A STRING
C
C PROGRAMMER -- DC WHITNEY /SAI JUNE 1977
C
C INPUTS --
C         IPRINT    I  FORTRAN OUTPUT UNIT
C         NWORDS    I  NUMBER OF WORDS IN THE STRING
C         JVALUE    I  THE VALUE TO BE PLACED
C         JSTRNG    I  THE RECEIVING STRING
C
C OUTPUTS --
C         JFLAG     I  COMPLETION FLAG
C
C LOCAL VARIABLES -- NONE
C
C ROUTINES CALLED -- NONE
C
C ERROR CONDITIONS --
C
C OTHER INFORMATION --
C
C
C
C SET DIMENSION OF EXTERNAL ARRAY
C
      DIMENSION JSTRNG(NWORDS)
C
C SET COMPLETION FLAG TO INITIALIZE VALUE
C
      JFLAG = 0
C
C SET LOOP TO MOVE THROUGH INPUT STRING.
C
      DO 100 J=1,NWORDS
C
C SET THIS POSITION TO THE INPUT VALUE
C
         JSTRNG(J) = JVALUE
C
C END LOOP AND RETURN
C
  100 CONTINUE
      GO TO 1000
C
C RETURN TO CALL ROUTINE
C
 1000 RETURN
C
C FORMATS
C
      END
