      SUBROUTINE COMPAR (IPRINT, NWORDS, JSTRG1, JSTRG2, JFLAG)
C
C NAME -- COMPARE TWO STRINGS
C
C DESCRIPTION -- COMPARES TWO STRINGS ON A WORD FOR WORD
C                BASIS FOR QUALITY
C
C PROGRAMMER -- DC WHITNEY /SAI JUNE 1977
C
C INPUTS --
C         IPRINT    I  FORTRAN OUTPUT UNIT
C         NWORDS    I  NUMBER OF WORDS IN EACH STRING
C         JSTRG1    I  FIRST STRING
C         JSTRG2    I  SECOND STRING
C
C OUTPUTS --
C         JFLAG     I  COMPLETION FLAG
C
C LOCAL VARIABLES -- NONE
C
C ROUTINES CALLED -- NONE
C
C
C OTHER INFORMATION --
C
C
C
C SET DIMENSIONS OF EXTERNAL ARRAYS
C
      DIMENSION JSTRG1(NWORDS)
      DIMENSION JSTRG2(NWORDS)
C
C SET COMPLETION FLAG TO INDICATE STRINGS DO NOT MATCH
C
      JFLAG = 0
C
C SET LOOP TO MOVE THROUGH INPUT STRING.
C
      DO 100 J=1,NWORDS
C
C IF THE WORDS IN THIS POSITION DO NOT MATCH, RETURN
C
         IF (JSTRG1(J) .NE. JSTRG2(J)) GO TO 1000
C
C END LOOP AND SET COMPLETION FLAG TO SHOW MATCH -- RETURN
C
  100 CONTINUE
      JFLAG = 1
      GO TO 1000
C
C RETURN TO CALLING ROUTINE
C
 1000 RETURN
C
C FORMATS
C
      END
