C
C
C
      SUBROUTINE MATSTR (IPRNT,IUNIT,NX,NY,NZ,NS,KZ,KS,GRID,JFLAG)
C
C     *** STORES A RECORD ON MASS STORAGE
C
C         IPRNT    THE OUTPUT PRINT UNIT NUMBER
C         IUNIT    THE RANDOM ACCESS FILE UNIT NUMBER
C         NX,NY    THE DIMENSIONS OF THE RECORD
C         NZ,NS    THE DIMENSION OF THE RANDOM ACCESS FILE
C         KZ,KS    THE STORAGE LOCATION IN THE FILE
C         GRID     THE RECORD
C         JFLAG    A COMPLETION FLAG
C
      DIMENSION GRID (NX,NY)
C
      JFLAG = 0
C
C     *** CHECK LOCATION
      IF (KZ .LT. 1 .OR. KZ .GT. NZ) GO TO 998
      IF (KS .LT. 1 .OR. KS .GT. NS) GO TO 998
C
C     *** GENERATE A NAME FROM THE UNIT NUMBER -- 1 DIGIT
      IF (IUNIT .LT. 1 .OR. IUNIT .GT. 9) GO TO 999
      NMFILE = SHIFT (IUNIT,54)
C
C     *** CALCULATE INDEX AND STORE RECORD (REWRITE IN PLACE IF ROOM)
      INDX = (KZ-1)*NS + KS
      CALL WRITMS (NMFILE,GRID,NX*NY,INDX,-1)
      RETURN
C
C     *** ERROR -- RECORD ADDRESS OUTSIDE FILE LIMITS
  998 JFLAG = -1
      RETURN
C
C     *** ERROR -- INVALID UNIT NUMBER
  999 JFLAG = -1
      RETURN
      END
